For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Manage API keysIdeogram
  • Ideogram API
    • API Overview
    • API Setup
    • Account API Page
    • API Pricing
    • API Status
  • Tutorials
    • Custom Model Training
  • API Reference
    • POSTGenerate with Ideogram 4.0
    • POSTRemix with Ideogram 4.0
    • POSTGenerate a Magic Prompt with Ideogram 4.0
    • POSTDescribe with Ideogram 4.0
    • POSTGenerate with Ideogram 3.0
    • POSTGenerate with Ideogram 3.0 (Transparent Background)
    • POSTInpaint with Ideogram 3.0
    • POSTRemix with Ideogram 3.0
    • POSTReframe with Ideogram 3.0
    • POSTReplace Background with Ideogram 3.0
    • POSTRemove Background
    • POSTLayerize Text
    • POSTEdit images with a prompt
    • POSTUpscale
    • POSTDescribe
    • POSTGenerate (legacy)
    • POSTEdit with Ideogram 3.0 (legacy)
    • POSTEdit (legacy)
    • POSTRemix (legacy)
    • POSTReframe (legacy)
  • Custom Model Training
    • GETList datasets
    • POSTCreate a new dataset
    • GETGet a dataset
    • POSTUpload assets to a dataset
    • POSTTrain a custom Ideogram v3 model
    • GETList models
    • GETGet model details
LogoLogo
LogoLogo
Manage API keysIdeogram
Custom Model Training

List datasets

GET
https://api.ideogram.ai/datasets
GET
/datasets
$curl https://api.ideogram.ai/datasets \
> -H "Api-Key: <apiKey>"
1{
2 "datasets": [
3 {
4 "dataset_id": "dataset_id",
5 "name": "name",
6 "user_id": "user_id",
7 "creation_time": "2000-01-23 04:56:07+00:00",
8 "cover_asset_identifier": {
9 "asset_type": "RESPONSE",
10 "asset_id": "7uS_VESkRI6O3-sVgHQp_A"
11 }
12 },
13 {
14 "dataset_id": "dataset_id",
15 "name": "name",
16 "user_id": "user_id",
17 "creation_time": "2000-01-23 04:56:07+00:00",
18 "cover_asset_identifier": {
19 "asset_type": "RESPONSE",
20 "asset_id": "7uS_VESkRI6O3-sVgHQp_A"
21 }
22 }
23 ]
24}
Lists all datasets for the authenticated user
Was this page helpful?
Previous

Create a new dataset

Next
Built with

Authentication

Api-Keystring

API key for access control. Use in the header with the name “Api-Key”

Response

Datasets retrieved successfully
datasetslist of objects
List of datasets for the authenticated user.

Errors

401
Unauthorized Error